
Red Hat Enterprise Linux 4 Update 2 Release Notes

   Copyright © 2005 Red Hat, Inc.
     _________________________________________________________________

Introduction

   The following topics are covered in this document:
     * Changes to the Red Hat Enterprise Linux installation program (Anaconda)
     * General information
     * Kernel Notes
     * Changes to drivers and hardware support
     * Changes to packages

Installation Related Notes

   The following section includes information specific to installation of Red
   Hat Enterprise Linux and the Anaconda installation program.

Note

   In order to upgrade an already-installed Red Hat Enterprise Linux 4 system
   to Update 2, you must use Red Hat Network to update those packages that have
   changed.

   You may use Anaconda to perform a fresh installation of Red Hat Enterprise
   Linux 4 Update 2 or to perform an upgrade from the latest updated version of
   Red Hat Enterprise Linux 3 to Red Hat Enterprise Linux 4.
     * If you are copying the contents of the Red Hat Enterprise Linux 4 Update
       2 CD-ROMs (in preparation for a network-based installation, for example)
       be sure you copy the CD-ROMs for the operating system only. Do not copy
       the Extras CD-ROM, or any of the layered product CD-ROMs, as this will
       overwrite files necessary for Anaconda's proper operation.
       These CD-ROMs must be installed after Red Hat Enterprise Linux has been
       installed.

General Information

   This section contains general information not specific to any other section
   of this document.
     * Red  Hat Enterprise Linux 4 Update 2 includes a technology preview
       release of SystemTap, a new dynamic system profiling framework. Users
       are encouraged to find more information and provide feedback on the
       technology preview at the SystemTap project web site:
       http://sources.redhat.com/systemtap 
       Note that this technology preview release of SystemTap is not supported
       for use in production environments, and that SystemTap interfaces and
       APIs are subject to change during the technology preview phase. A fully
       supported release of SystemTap is planned for a future release of Red
       Hat Enterprise Linux 4.
     * Red Hat Enterprise Linux 4 Update 2 now includes support for the Russian
       language via UTF-8 encoding.
     * In RPM versions 4.1 and greater (included in Red Hat Enterprise Linux 3
       and later releases), the rpm command no longer uses the name of the
       package to determine what is being upgraded or freshened (the -U or -F
       flags,  respectively). Instead, rpm analyzes both what the package
       provides and the package name. This change was made in order to support
       obsoleting of packages based on what it provides rather than package
       names only.
       However, this has led to behavior changes between pre-4.1 and post-4.1
       versions of rpm when using the -U or -F flags to install newer versions
       of packages.
       For  example,  if you have both the kernel and kernel-smp packages
       installed and issue the following command:

rpm -F kernel-<version>.rpm

       The  kernel-smp  package will be entirely removed, leaving only an
       upgraded kernel package. This is because both packages provide kernel
       capabilities and the kernel package is the primary provider of kernel
       capabilities because the name of the package is an exact match, which
       means that the kernel package obsoletes the kernel-smp package.
       Therefore, it is not recommended that users use the -F or -U flag when
       upgrading kernels. Use the -i flag instead.
     * The current ext3 file system limit in Red Hat Enterprise Linux 4 Update
       2 is 8 terabytes. The e2fsprogs package has been updated to adhere to
       this file system limit.
     * %%% https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=167486 %%%
       Red Hat Enterprise Linux 4 and Red Hat Enterprise Linux 4 Update 1 had
       incorrect partition detection code in the GRUB bootloader that led to
       installation failure at the end of installation on systems using I2O
       based disk arrays. I2O controllers comprise many different SCSI (and
       rare IDE) RAID controllers supported by the i2o_block driver. The most
       prevalent of these are Adaptec or DPT branded, but several other brands
       manufacture cards using this controller. More information on the issue
       can be found at the following URL:
       http://i2o.shadowconnect.com/rhel.php
       Previously,  Red  Hat  Enterprise  Linux 4 users had to follow the
       workaround procedure referenced in the URL in order to install grub and
       have a bootable system. Red Hat Enterprise Linux 4 Update 2 corrects
       this  issue  and now allows full, complete installation. Users who
       previously had a bootable I2O based system do not need to take action
       regarding this issue.

Kernel Notes

   This section contains notes relating to the Red Hat Enterprise Linux 4
   Update 2 kernel.
     * The diskdump facility has been updated in Red Hat Enterprise Linux 4
       Update 2. diskdump is an automated system that saves data from system
       memory in the event of a kernel panic or oops.
       The updated version of diskdump can now be configured to save partial
       dumps of memory, which can be useful if, for example, you want to save
       only kernel memory during a panic on a system with a large amount of
       memory. For more information, refer to the documentation included with
       the diskdumputils package:
/usr/share/doc/diskdumputils-1.1.7-2/README
     * In-kernel key management support has been added to the kernel in Red Hat
       Enterprise Linux 4 Update 2. This facility permits the association of
       sets  of  keys (keyrings) with processes for file systems (such as
       OpenAFS) and other applicable subsystems.
       This facility is enabled by means of the CONFIG_KEYS option in the
       kernel  configuration. Keys can then be manipulated via the keyctl
       utility in the keyutils package.
     * The kernel shipped in Red Hat Enterprise Linux 4 Update 2 features an
       update of the OpenIPMI module. OpenIPMI is an open source implementation
       designed for monitoring and management of server and telecommunications
       components that support the Intelligent Platform Management Interface
       (IPMI) standard.
     * Kernel and user support for the audit subsystem has been improved in Red
       Hat Enterprise Linux 4 Update 2. The auditing subsystem can be used by
       administrators to monitor system calls and file system access for CAPP
       compliance or any other auditing requirement. Highlights of this release
       include:
       · Auditing is disabled by default in the kernel, but when the auditd
       package is installed, the audit daemon, auditd, enables auditing when it
       starts.
       · When auditd is running, audit messages are sent to a user configurable
       log file, which by default is /var/log/audit/audit.log. If auditd is not
       running, the audit messages are sent to syslog, which is configured by
       default to put messages in /var/log/messages. If the audit subsystem is
       not enabled, no audit messages are generated
       · These audit messages include SELinux AVC messages. Previously, AVC
       messages were sent to syslog, but are now sent by the audit daemon into
       the audit log, /var/log/audit/audit.log. If audit is not enabled in the
       kernel, the messages are sent to syslog.
       · To fully disable auditing in the kernel, boot with the parameter
       audit=0. You will also need to turn off auditd with chkconfig auditd off
       2345. You can turn off audit in the kernel in run-time with auditctl -e
       0.
       Red Hat Enterprise Linux 4 Update 2 contains the initial release for
       audit subsystem userspace services and utilities.
       The audit daemon (auditd) retrieves audit event data from the kernel's
       audit netlink interface and saves it to a log file. auditd configuration
       variables such as output file configuration and log file disk usage
       parameters can be configured in the /etc/auditd.conf file. For more
       information, refer to the auditd(8) and auditd.conf(5) manual pages. It
       should be noted that anyone setting up their system for CAPP style
       auditing should dedicate a disk partition exclusively for the audit
       daemon's use. It should be mounted at /var/log/audit.
       Administrators can also use the auditctl utility to change auditing
       parameters, syscall rules, and file system watches while the auditd
       daemon is running. For more information, refer to the auditctl(8) manual
       page. A sample CAPP configuration is included and may be copied to
       /etc/audit.rules so that it takes effect.
       Audit log data can be viewed and searched with the ausearch utility.
       Refer to the ausearch(8) man page for search options.
     * The iSCSI initiator driver and user-mode utilities are available in Red
       Hat Enterprise Linux 4 Update 2. This software is based on the Cisco
       SourceForge project at:
       http://sourceforge.net/projects/linux-iscsi/
       For up to date installation notes and assistance, refer to the following
       URLs:
       http://people.redhat.com/mchristi/iscsi/RHEL4/doc/readme
       http://kbase.redhat.com/faq
       The  kernel  component  is made up of two modules, iscsi_sfnet and
       scsi_transport_iscsi. Running the command modprobe iscsi_sfnet loads
       both modules. If CHAP authentication is used, the md5 module must be
       loaded for MD5 support by running the command modprobe md5. Finally, if
       data or header digests are being used, the crc32c and libcrc32c modules
       are required for CRC32C support. Running the command modprobe crc32c
       loads both modules.
       The iscsi-initiator-utils package contains the user-mode utilities.

Note
       The following should be noted when using this version of the iSCSI
       initiator:
       · Booting from iSCSI is not supported. There is also no support for
       iSCSI configuration in the Anaconda installation program.
       · You must set up /etc/iscsi.conf before using iSCSI. Refer to the
       following URL for more information:
       http://people.redhat.com/mchristi/iscsi/RHEL4/doc/readme
       · The SLP directory service is not supported.
       · The DataDigest feature should not be enabled in iscsi.conf because the
       current driver may incorrectly report data digest errors when there is a
       large amount of file system I/O.

Changes to Drivers and Hardware Support

   This update includes bug fixes for a number of drivers. The more significant
   driver updates are listed below. In some cases, the original driver has been
   preserved  under  a  different name, and is available as a non-default
   alternative  for  organizations  that  wish  to  migrate  their driver
   configuration to the latest versions at a later time.

Note

   The migration to the latest drivers should be completed before the next Red
   Hat Enterprise Linux update is applied, because in most cases only one
   older-revision driver will be preserved for each update.

   The following device drivers are updated in Red Hat Enterprise Linux 4
   Update 2:
     * 3Com Etherlink III 3C59X Adapter (3c59x)
     * Compaq SmartArray controllers (cciss)
     * Intel(R) PRO/100 Fast Ethernet adapter (e100)
     * Intel(R) PRO/1000 Ethernet adapter (e1000)
     * Intel(R) Pro/Wireless 2100 adapter (ipw2100)
     * Intel(R) PRO/10GbE adapter family (ixgb)
     * Emulex LightPulse Fibre Channel HBA (lpfc)
     * LSI Logic MegaRAID Controller family (megaraid_mbox, megaraid_mm)
     * Fusion MPT base driver (mptbase)
     * QLogic Fibre Channel HBA (qla2xxx)
     * SATA support (core, libata, and drivers)
     * Broadcom Tigon 3 Ethernet Adapter (tg3)
     * IBM zSeries Fibre Channel Protocol adapter (zfcp)

Changes to Packages

   This section contains listings of packages that have been updated or added
   from Red Hat Enterprise Linux 4 as part of Update 2.

Note

   These package lists include packages from all variants of Red Hat Enterprise
   Linux 4. Your system may not include every one of the packages listed here.

   The  following  packages have been updated from the release of Red Hat
   Enterprise Linux 4 Update 1:
     * HelixPlayer-1.0.4-1.1.EL4.2 => HelixPlayer-1.0.5-0.EL4.1
     * ImageMagick-6.0.7.1-10 => ImageMagick-6.0.7.1-12
     * ImageMagick-c++-6.0.7.1-10 => ImageMagick-c++-6.0.7.1-12
     * ImageMagick-c++-devel-6.0.7.1-10 => ImageMagick-c++-devel-6.0.7.1-12
     * ImageMagick-devel-6.0.7.1-10 => ImageMagick-devel-6.0.7.1-12
     * ImageMagick-perl-6.0.7.1-10 => ImageMagick-perl-6.0.7.1-12
     * SysVinit-2.85-34 => SysVinit-2.85-34.3
     * alsa-utils-1.0.6-3 => alsa-utils-1.0.6-4
     * am-utils-6.0.9-10 => am-utils-6.0.9-15.RHEL4
     * anaconda-10.1.1.19-1 => anaconda-10.1.1.24-1
     * anaconda-runtime-10.1.1.19-1 => anaconda-runtime-10.1.1.24-1
     * apr-0.9.4-24.3 => apr-0.9.4-24.5
     * apr-devel-0.9.4-24.3 => apr-devel-0.9.4-24.5
     * apr-util-0.9.4-17 => apr-util-0.9.4-21
     * apr-util-devel-0.9.4-17 => apr-util-devel-0.9.4-21
     * arpwatch-2.1a13-9.RHEL4 => arpwatch-2.1a13-10.RHEL4
     * at-3.1.8-60 => at-3.1.8-78_EL4
     * audit-0.5-1 => audit-1.0.3-4.EL4
     * autofs-4.1.3-131 => autofs-4.1.3-155
     * binutils-2.15.92.0.2-13 => binutils-2.15.92.0.2-15
     * booty-0.44-1 => booty-0.44.3-1
     * bzip2-1.0.2-13 => bzip2-1.0.2-13.EL4.2
     * bzip2-devel-1.0.2-13 => bzip2-devel-1.0.2-13.EL4.2
     * bzip2-libs-1.0.2-13 => bzip2-libs-1.0.2-13.EL4.2
     * compat-openldap-2.1.30-2 => compat-openldap-2.1.30-3
     * comps-4AS-0.20050525 => comps-4AS-0.20050831
     * control-center-2.8.0-12 => control-center-2.8.0-12.rhel4.2
     * coreutils-5.2.1-31.1 => coreutils-5.2.1-31.2
     * cpio-2.5-7.EL4.1 => cpio-2.5-8.RHEL4
     * cpp-3.4.3-22.1 => cpp-3.4.4-2
     * crash-3.10-11 => crash-4.0-2
     * cups-1.1.22-0.rc1.9.6 => cups-1.1.22-0.rc1.9.7
     * cups-devel-1.1.22-0.rc1.9.6 => cups-devel-1.1.22-0.rc1.9.7
     * cups-libs-1.1.22-0.rc1.9.6 => cups-libs-1.1.22-0.rc1.9.7
     * cyrus-imapd-2.2.10-1.RHEL4.1 => cyrus-imapd-2.2.12-3.RHEL4.1
     * cyrus-imapd-devel-2.2.10-1.RHEL4.1 => cyrus-imapd-devel-2.2.12-3.RHEL4.1
     * cyrus-imapd-murder-2.2.10-1.RHEL4.1 =>
       cyrus-imapd-murder-2.2.12-3.RHEL4.1
     * cyrus-imapd-nntp-2.2.10-1.RHEL4.1 => cyrus-imapd-nntp-2.2.12-3.RHEL4.1
     * cyrus-imapd-utils-2.2.10-1.RHEL4.1 => cyrus-imapd-utils-2.2.12-3.RHEL4.1
     * dbus-0.22-12.EL.2 => dbus-0.22-12.EL.5
     * dbus-devel-0.22-12.EL.2 => dbus-devel-0.22-12.EL.5
     * dbus-glib-0.22-12.EL.2 => dbus-glib-0.22-12.EL.5
     * dbus-python-0.22-12.EL.2 => dbus-python-0.22-12.EL.5
     * dbus-x11-0.22-12.EL.2 => dbus-x11-0.22-12.EL.5
     * devhelp-0.9.2-2.4.4 => devhelp-0.9.2-2.4.6
     * devhelp-devel-0.9.2-2.4.4 => devhelp-devel-0.9.2-2.4.6
     * device-mapper-1.01.01-1.RHEL4 => device-mapper-1.01.04-1.0.RHEL4
     * diskdumputils-1.0.1-5 => diskdumputils-1.1.9-4
     * dmraid-1.0.0.rc6.1-3_RHEL4_U1 => dmraid-1.0.0.rc8-1_RHEL4_U
     * dump-0.4b37-1 => dump-0.4b39-3.EL4.2
     * e2fsprogs-1.35-12.1.EL4 => e2fsprogs-1.35-12.2.EL4
     * e2fsprogs-devel-1.35-12.1.EL4 => e2fsprogs-devel-1.35-12.2.EL4
     * ethereal-0.10.11-1.EL4.1 => ethereal-0.10.12-1.EL4.1
     * ethereal-gnome-0.10.11-1.EL4.1 => ethereal-gnome-0.10.12-1.EL4.1
     * evolution-2.0.2-16 => evolution-2.0.2-22
     * evolution-connector-2.0.2-5 => evolution-connector-2.0.2-8
     * evolution-data-server-1.0.2-7 => evolution-data-server-1.0.2-9
     * evolution-data-server-devel-1.0.2-7 =>
       evolution-data-server-devel-1.0.2-9
     * evolution-devel-2.0.2-16 => evolution-devel-2.0.2-22
     * evolution-webcal-1.0.10-1 => evolution-webcal-1.0.10-3
     * fetchmail-6.2.5-6 => fetchmail-6.2.5-6.el4.2
     * firefox-1.0.4-1.4.1 => firefox-1.0.6-1.4.1
     * firstboot-1.3.39-2 => firstboot-1.3.39-4
     * freeradius-1.0.1-2.RHEL4 => freeradius-1.0.1-3.RHEL4
     * freeradius-mysql-1.0.1-2.RHEL4 => freeradius-mysql-1.0.1-3.RHEL4
     * freeradius-postgresql-1.0.1-2.RHEL4 =>
       freeradius-postgresql-1.0.1-3.RHEL4
     * freeradius-unixODBC-1.0.1-2.RHEL4 => freeradius-unixODBC-1.0.1-3.RHEL4
     * gaim-1.2.1-6.el4 => gaim-1.3.1-0.el4.3
     * gamin-0.0.17-4 => gamin-0.1.1-3.EL4
     * gamin-devel-0.0.17-4 => gamin-devel-0.1.1-3.EL4
     * gcc-3.4.3-22.1 => gcc-3.4.4-2
     * gcc-c++-3.4.3-22.1 => gcc-c++-3.4.4-2
     * gcc-g77-3.4.3-22.1 => gcc-g77-3.4.4-2
     * gcc-gnat-3.4.3-22.1 => gcc-gnat-3.4.4-2
     * gcc-java-3.4.3-22.1 => gcc-java-3.4.4-2
     * gcc-objc-3.4.3-22.1 => gcc-objc-3.4.4-2
     * gcc4-4.0.0-0.14.EL4 => gcc4-4.0.1-4.EL4.2
     * gcc4-c++-4.0.0-0.14.EL4 => gcc4-c++-4.0.1-4.EL4.2
     * gcc4-gfortran-4.0.0-0.14.EL4 => gcc4-gfortran-4.0.1-4.EL4.2
     * gdb-6.3.0.0-0.31 => gdb-6.3.0.0-1.59
     * gdm-2.6.0.5-7.rhel4.1 => gdm-2.6.0.5-7.rhel4.4
     * gedit-2.8.1-3 => gedit-2.8.1-4
     * gedit-devel-2.8.1-3 => gedit-devel-2.8.1-4
     * gftp-2.0.17-3 => gftp-2.0.17-5
     * glibc-2.3.4-2.9 => glibc-2.3.4-2.13
     * glibc-common-2.3.4-2.9 => glibc-common-2.3.4-2.13
     * glibc-devel-2.3.4-2.9 => glibc-devel-2.3.4-2.13
     * glibc-headers-2.3.4-2.9 => glibc-headers-2.3.4-2.13
     * glibc-kernheaders-2.4-9.1.87 => glibc-kernheaders-2.4-9.1.98.EL
     * glibc-profile-2.3.4-2.9 => glibc-profile-2.3.4-2.13
     * glibc-utils-2.3.4-2.9 => glibc-utils-2.3.4-2.13
     * gnome-desktop-2.8.0-3 => gnome-desktop-2.8.0-5
     * gnome-desktop-devel-2.8.0-3 => gnome-desktop-devel-2.8.0-5
     * gnome-icon-theme-2.8.0-1 => gnome-icon-theme-2.8.0-1.el4.1.3
     * gnome-terminal-2.7.3-1 => gnome-terminal-2.7.3-2
     * gnutls-1.0.20-3 => gnutls-1.0.20-3.2.1
     * gnutls-devel-1.0.20-3 => gnutls-devel-1.0.20-3.2.1
     * gpdf-2.8.2-4.3 => gpdf-2.8.2-4.4
     * grub-0.95-3.1 => grub-0.95-3.5
     * gtk-engines-0.12-5 => gtk-engines-0.12-6.el4
     * gtk2-engines-2.2.0-6 => gtk2-engines-2.2.0-7.el4
     * gtkhtml3-3.3.2-3 => gtkhtml3-3.3.2-6.EL
     * gtkhtml3-devel-3.3.2-3 => gtkhtml3-devel-3.3.2-6.EL
     * gzip-1.3.3-13 => gzip-1.3.3-15.rhel4
     * hotplug-2004_04_01-7.5 => hotplug-2004_04_01-7.6
     * httpd-2.0.52-12.ent => httpd-2.0.52-18.ent
     * httpd-devel-2.0.52-12.ent => httpd-devel-2.0.52-18.ent
     * gtkhtml3-3.3.2-3 => gtkhtml3-3.3.2-6.EL
     * gtkhtml3-devel-3.3.2-3 => gtkhtml3-devel-3.3.2-6.EL
     * gzip-1.3.3-13 => gzip-1.3.3-15.rhel4
     * hotplug-2004_04_01-7.5 => hotplug-2004_04_01-7.6
     * httpd-2.0.52-12.ent => httpd-2.0.52-18.ent
     * httpd-devel-2.0.52-12.ent => httpd-devel-2.0.52-18.ent
     * httpd-manual-2.0.52-12.ent => httpd-manual-2.0.52-18.ent
     * httpd-suexec-2.0.52-12.ent => httpd-suexec-2.0.52-18.ent
     * hwdata-0.146.10.EL-1 => hwdata-0.146.11.EL-1
     * iiimf-csconv-12.1-13.EL => iiimf-csconv-12.1-13.EL.2
     * iiimf-docs-12.1-13.EL => iiimf-docs-12.1-13.EL.2
     * iiimf-emacs-12.1-13.EL => iiimf-emacs-12.1-13.EL.2
     * iiimf-gnome-im-switcher-12.1-13.EL =>
       iiimf-gnome-im-switcher-12.1-13.EL.2
     * iiimf-gtk-12.1-13.EL => iiimf-gtk-12.1-13.EL.2
     * iiimf-le-canna-12.1-13.EL => iiimf-le-canna-12.1-13.EL.2
     * iiimf-le-hangul-12.1-13.EL => iiimf-le-hangul-12.1-13.EL.2
     * iiimf-le-sun-thai-12.1-13.EL => iiimf-le-sun-thai-12.1-13.EL.2
     * iiimf-le-unit-12.1-13.EL => iiimf-le-unit-12.1-13.EL.2
     * iiimf-libs-12.1-13.EL => iiimf-libs-12.1-13.EL.2
     * iiimf-libs-devel-12.1-13.EL => iiimf-libs-devel-12.1-13.EL.2
     * iiimf-server-12.1-13.EL => iiimf-server-12.1-13.EL.2
     * iiimf-x-12.1-13.EL => iiimf-x-12.1-13.EL.2
     * indexhtml-4-2 => indexhtml-4.1-1
     * initscripts-7.93.13.EL-2 => initscripts-7.93.20.EL-1
     * iputils-20020927-16 => iputils-20020927-18.EL4.1
     * irb-1.8.1-7.EL4.0 => irb-1.8.1-7.EL4.1
     * kdebase-3.3.1-5.5 => kdebase-3.3.1-5.8
     * kdebase-devel-3.3.1-5.5 => kdebase-devel-3.3.1-5.8
     * kdegraphics-3.3.1-3.3 => kdegraphics-3.3.1-3.4
     * kdegraphics-devel-3.3.1-3.3 => kdegraphics-devel-3.3.1-3.4
     * kdelibs-3.3.1-3.10 => kdelibs-3.3.1-3.11
     * kdelibs-devel-3.3.1-3.10 => kdelibs-devel-3.3.1-3.11
     * kdenetwork-3.3.1-2 => kdenetwork-3.3.1-2.3
     * kdenetwork-devel-3.3.1-2 => kdenetwork-devel-3.3.1-2.3
     * kdenetwork-nowlistening-3.3.1-2 => kdenetwork-nowlistening-3.3.1-2.3
     * kernel-2.6.9-11.EL => kernel-2.6.9-17.EL
     * kernel-devel-2.6.9-11.EL => kernel-devel-2.6.9-17.EL
     * kernel-doc-2.6.9-11.EL => kernel-doc-2.6.9-17.EL
     * kernel-smp-2.6.9-11.EL => kernel-smp-2.6.9-17.EL
     * kernel-smp-devel-2.6.9-11.EL => kernel-smp-devel-2.6.9-17.EL
     * kernel-utils-2.4-13.1.66 => kernel-utils-2.4-13.1.69
     * krb5-devel-1.3.4-12 => krb5-devel-1.3.4-17
     * krb5-libs-1.3.4-12 => krb5-libs-1.3.4-17
     * krb5-server-1.3.4-12 => krb5-server-1.3.4-17
     * krb5-workstation-1.3.4-12 => krb5-workstation-1.3.4-17
     * kudzu-1.1.95.11-2 => kudzu-1.1.95.15-1
     * kudzu-devel-1.1.95.11-2 => kudzu-devel-1.1.95.15-1
     * libf2c-3.4.3-22.1 => libf2c-3.4.4-2
     * libgal2-2.2.3-4 => libgal2-2.2.3-10
     * libgal2-devel-2.2.3-4 => libgal2-devel-2.2.3-10
     * libgcc-3.4.3-22.1 => libgcc-3.4.4-2
     * libgcj-3.4.3-22.1 => libgcj-3.4.4-2
     * libgcj-devel-3.4.3-22.1 => libgcj-devel-3.4.4-2
     * libgfortran-4.0.0-0.14.EL4 => libgfortran-4.0.1-4.EL4.2
     * libgnat-3.4.3-22.1 => libgnat-3.4.4-2
     * libmudflap-4.0.0-0.14.EL4 => libmudflap-4.0.1-4.EL4.2
     * libmudflap-devel-4.0.0-0.14.EL4 => libmudflap-devel-4.0.1-4.EL4.2
     * libobjc-3.4.3-22.1 => libobjc-3.4.4-2
     * libpcap-0.8.3-9.RHEL4 => libpcap-0.8.3-10.RHEL4
     * libsoup-2.2.1-1 => libsoup-2.2.1-2
     * libsoup-devel-2.2.1-1 => libsoup-devel-2.2.1-2
     * libstdc++-3.4.3-22.1 => libstdc++-3.4.4-2
     * libstdc++-devel-3.4.3-22.1 => libstdc++-devel-3.4.4-2
     * libwnck-2.8.1-1 => libwnck-2.8.1-1.rhel4.1
     * libwnck-devel-2.8.1-1 => libwnck-devel-2.8.1-1.rhel4.1
     * lockdev-1.0.1-3 => lockdev-1.0.1-6.1
     * lockdev-devel-1.0.1-3 => lockdev-devel-1.0.1-6.1
     * logrotate-3.7.1-2 => logrotate-3.7.1-5.RHEL4
     * logwatch-5.2.2-1 => logwatch-5.2.2-1.EL4.1
     * lvm2-2.01.08-1.0.RHEL4 => lvm2-2.01.14-1.0.RHEL4
     * man-pages-1.67-3 => man-pages-1.67-7.EL4
     * metacity-2.8.6-2.1 => metacity-2.8.6-2.8
     * mikmod-3.1.6-30.1 => mikmod-3.1.6-32.EL4
     * mikmod-devel-3.1.6-30.1 => mikmod-devel-3.1.6-32.EL4
     * mkinitrd-4.2.1.3-1 => mkinitrd-4.2.1.6-1
     * mod_dav_svn-1.1.1-2.1 => mod_dav_svn-1.1.4-2.ent
     * mod_ssl-2.0.52-12.ent => mod_ssl-2.0.52-18.ent
     * mozilla-1.7.7-1.4.2 => mozilla-1.7.10-1.4.1
     * mozilla-chat-1.7.7-1.4.2 => mozilla-chat-1.7.10-1.4.1
     * mozilla-devel-1.7.7-1.4.2 => mozilla-devel-1.7.10-1.4.1
     * mozilla-dom-inspector-1.7.7-1.4.2 => mozilla-dom-inspector-1.7.10-1.4.1
     * mozilla-js-debugger-1.7.7-1.4.2 => mozilla-js-debugger-1.7.10-1.4.1
     * mozilla-mail-1.7.7-1.4.2 => mozilla-mail-1.7.10-1.4.1
     * mozilla-nspr-1.7.7-1.4.2 => mozilla-nspr-1.7.10-1.4.1
     * mozilla-nspr-devel-1.7.7-1.4.2 => mozilla-nspr-devel-1.7.10-1.4.1
     * mozilla-nss-1.7.7-1.4.2 => mozilla-nss-1.7.10-1.4.1
     * mozilla-nss-devel-1.7.7-1.4.2 => mozilla-nss-devel-1.7.10-1.4.1
     * mysql-4.1.10a-2.RHEL4.1 => mysql-4.1.12-3.RHEL4.1
     * mysql-bench-4.1.10a-2.RHEL4.1 => mysql-bench-4.1.12-3.RHEL4.1
     * mysql-devel-4.1.10a-2.RHEL4.1 => mysql-devel-4.1.12-3.RHEL4.1
     * mysql-server-4.1.10a-2.RHEL4.1 => mysql-server-4.1.12-3.RHEL4.1
     * net-snmp-5.1.2-11 => net-snmp-5.1.2-11.EL4.4
     * net-snmp-devel-5.1.2-11 => net-snmp-devel-5.1.2-11.EL4.4
     * net-snmp-libs-5.1.2-11 => net-snmp-libs-5.1.2-11.EL4.4
     * net-snmp-perl-5.1.2-11 => net-snmp-perl-5.1.2-11.EL4.4
     * net-snmp-utils-5.1.2-11 => net-snmp-utils-5.1.2-11.EL4.4
     * netconfig-0.8.21-1 => netconfig-0.8.21-1.1
     * nfs-utils-1.0.6-46 => nfs-utils-1.0.6-64.EL4
     * nptl-devel-2.3.4-2.9 => nptl-devel-2.3.4-2.13
     * nscd-2.3.4-2.9 => nscd-2.3.4-2.13
     * openldap-2.2.13-2 => openldap-2.2.13-3
     * openldap-clients-2.2.13-2 => openldap-clients-2.2.13-3
     * openldap-devel-2.2.13-2 => openldap-devel-2.2.13-3
     * openldap-servers-2.2.13-2 => openldap-servers-2.2.13-3
     * openldap-servers-sql-2.2.13-2 => openldap-servers-sql-2.2.13-3
     * openoffice.org-1.1.2-24.6.0.EL4 => openoffice.org-1.1.2-28.6.0.EL4
     * openoffice.org-i18n-1.1.2-24.6.0.EL4 =>
       openoffice.org-i18n-1.1.2-28.6.0.EL4
     * openoffice.org-libs-1.1.2-24.6.0.EL4 =>
       openoffice.org-libs-1.1.2-28.6.0.EL4
     * openssh-3.9p1-8.RHEL4.4 => openssh-3.9p1-8.RHEL4.8
     * openssh-askpass-3.9p1-8.RHEL4.4 => openssh-askpass-3.9p1-8.RHEL4.8
     * openssh-askpass-gnome-3.9p1-8.RHEL4.4 =>
       openssh-askpass-gnome-3.9p1-8.RHEL4.8
     * openssh-clients-3.9p1-8.RHEL4.4 => openssh-clients-3.9p1-8.RHEL4.8
     * openssh-server-3.9p1-8.RHEL4.4 => openssh-server-3.9p1-8.RHEL4.8
     * openssl-0.9.7a-43.1 => openssl-0.9.7a-43.2
     * openssl-devel-0.9.7a-43.1 => openssl-devel-0.9.7a-43.2
     * openssl-perl-0.9.7a-43.1 => openssl-perl-0.9.7a-43.2
     * openssl096b-0.9.6b-22.1 => openssl096b-0.9.6b-22.3
     * oprofile-0.8.1-11 => oprofile-0.8.1-21
     * oprofile-devel-0.8.1-11 => oprofile-devel-0.8.1-21
     * pam-0.77-66.5 => pam-0.77-66.11
     * pam-devel-0.77-66.5 => pam-devel-0.77-66.11
     * pam_krb5-2.1.2-1 => pam_krb5-2.1.8-1
     * passwd-0.68-10 => passwd-0.68-10.1
     * pdksh-5.2.14-30 => pdksh-5.2.14-30.3
     * perl-5.8.5-12.1 => perl-5.8.5-16.RHEL4
     * perl-Cyrus-2.2.10-1.RHEL4.1 => perl-Cyrus-2.2.12-3.RHEL4.1
     * perl-suidperl-5.8.5-12.1.1 => perl-suidperl-5.8.5-16.RHEL4
     * php-4.3.9-3.6 => php-4.3.9-3.8
     * php-devel-4.3.9-3.6 => php-devel-4.3.9-3.8
     * php-domxml-4.3.9-3.6 => php-domxml-4.3.9-3.8
     * php-gd-4.3.9-3.6 => php-gd-4.3.9-3.8
     * php-imap-4.3.9-3.6 => php-imap-4.3.9-3.8
     * php-ldap-4.3.9-3.6 => php-ldap-4.3.9-3.8
     * php-mbstring-4.3.9-3.6 => php-mbstring-4.3.9-3.8
     * php-mysql-4.3.9-3.6 => php-mysql-4.3.9-3.8
     * php-ncurses-4.3.9-3.6 => php-ncurses-4.3.9-3.8
     * php-odbc-4.3.9-3.6 => php-odbc-4.3.9-3.8
     * php-pear-4.3.9-3.6 => php-pear-4.3.9-3.8
     * php-pgsql-4.3.9-3.6 => php-pgsql-4.3.9-3.8
     * php-snmp-4.3.9-3.6 => php-snmp-4.3.9-3.8
     * php-xmlrpc-4.3.9-3.6 => php-xmlrpc-4.3.9-3.8
     * policycoreutils-1.18.1-4.3 => policycoreutils-1.18.1-4.7
     * popt-1.9.1-9_nonptl => popt-1.9.1-11_nonptl
     * postgresql-7.4.7-2.RHEL4.1 => postgresql-7.4.8-1.RHEL4.1
     * postgresql-contrib-7.4.7-2.RHEL4.1 => postgresql-contrib-7.4.8-1.RHEL4.1
     * postgresql-devel-7.4.7-2.RHEL4.1 => postgresql-devel-7.4.8-1.RHEL4.1
     * postgresql-docs-7.4.7-2.RHEL4.1 => postgresql-docs-7.4.8-1.RHEL4.1
     * postgresql-jdbc-7.4.7-2.RHEL4.1 => postgresql-jdbc-7.4.8-1.RHEL4.1
     * postgresql-libs-7.4.7-2.RHEL4.1 => postgresql-libs-7.4.8-1.RHEL4.1
     * postgresql-pl-7.4.7-2.RHEL4.1 => postgresql-pl-7.4.8-1.RHEL4.1
     * postgresql-python-7.4.7-2.RHEL4.1 => postgresql-python-7.4.8-1.RHEL4.1
     * postgresql-server-7.4.7-2.RHEL4.1 => postgresql-server-7.4.8-1.RHEL4.1
     * postgresql-tcl-7.4.7-2.RHEL4.1 => postgresql-tcl-7.4.8-1.RHEL4.1
     * postgresql-test-7.4.7-2.RHEL4.1 => postgresql-test-7.4.8-1.RHEL4.1
     * procps-3.2.3-8.1 => procps-3.2.3-8.2
     * pump-devel-0.8.21-1 => pump-devel-0.8.21-1.1
     * rdist-6.1.5-38 => rdist-6.1.5-38.40.1
     * redhat-artwork-0.120-1.1E => redhat-artwork-0.120.1-1.2E
     * redhat-logos-1.1.25-1 => redhat-logos-1.1.26-1
     * redhat-lsb-1.3-10.EL => redhat-lsb-3.0-8.EL
     * redhat-release-4AS-2.4 => redhat-release-4AS-2.8
     * rhgb-0.14.1-5 => rhgb-0.14.1-8
     * rhn-applet-2.1.17-5 => rhn-applet-2.1.20-4
     * rhnlib-1.8-6.p23 => rhnlib-1.8.1-1.p23.1
     * rhpl-0.148.2-1 => rhpl-0.148.3-1
     * rmt-0.4b37-1 => rmt-0.4b39-3.EL4.2
     * rpm-4.3.3-9_nonptl => rpm-4.3.3-11_nonptl
     * rpm-build-4.3.3-9_nonptl => rpm-build-4.3.3-11_nonptl
     * rpm-devel-4.3.3-9_nonptl => rpm-devel-4.3.3-11_nonptl
     * rpm-libs-4.3.3-9_nonptl => rpm-libs-4.3.3-11_nonptl
     * rpm-python-4.3.3-9_nonptl => rpm-python-4.3.3-11_nonptl
     * rpmdb-redhat-4-0.20050525 => rpmdb-redhat-4-0.20050831
     * ruby-1.8.1-7.EL4.0 => ruby-1.8.1-7.EL4.1
     * ruby-devel-1.8.1-7.EL4.0 => ruby-devel-1.8.1-7.EL4.1
     * ruby-docs-1.8.1-7.EL4.0 => ruby-docs-1.8.1-7.EL4.1
     * ruby-libs-1.8.1-7.EL4.0 => ruby-libs-1.8.1-7.EL4.1
     * ruby-mode-1.8.1-7.EL4.0 => ruby-mode-1.8.1-7.EL4.1
     * ruby-tcltk-1.8.1-7.EL4.0 => ruby-tcltk-1.8.1-7.EL4.1
     * rusers-0.17-41 => rusers-0.17-41.40.1
     * rusers-server-0.17-41 => rusers-server-0.17-41.40.1
     * samba-3.0.10-1.4E => samba-3.0.10-1.4E.2
     * samba-client-3.0.10-1.4E => samba-client-3.0.10-1.4E.2
     * samba-common-3.0.10-1.4E => samba-common-3.0.10-1.4E.2
     * samba-swat-3.0.10-1.4E => samba-swat-3.0.10-1.4E.2
     * selinux-policy-targeted-1.17.30-2.88 =>
       selinux-policy-targeted-1.17.30-2.106
     * selinux-policy-targeted-sources-1.17.30-2.88                    =>
       selinux-policy-targeted-sources-1.17.30-2.106
     * setup-2.5.37-1.1 => setup-2.5.37-1.3
     * shadow-utils-4.0.3-41.1 => shadow-utils-4.0.3-52.RHEL4
     * slocate-2.7-12.RHEL4 => slocate-2.7-13.el4.6
     * spamassassin-3.0.1-0.EL4 => spamassassin-3.0.4-1.el4
     * squid-2.5.STABLE6-3.4E.5 => squid-2.5.STABLE6-3.4E.9
     * squirrelmail-1.4.3a-9.EL4 => squirrelmail-1.4.3a-12.EL4
     * strace-4.5.9-2.EL4 => strace-4.5.13-0.EL4.1
     * subversion-1.1.1-2.1 => subversion-1.1.4-2.ent
     * subversion-devel-1.1.1-2.1 => subversion-devel-1.1.4-2.ent
     * subversion-perl-1.1.1-2.1 => subversion-perl-1.1.4-2.ent
     * sudo-1.6.7p5-30.1 => sudo-1.6.7p5-30.1.3
     * sysreport-1.3.13-1 => sysreport-1.3.15-5
     * system-config-lvm-0.9.24-1.0 => system-config-lvm-1.0.3-1.0
     * system-config-netboot-0.1.8-1 => system-config-netboot-0.1.30-1_EL4
     * system-config-printer-0.6.116-1 => system-config-printer-0.6.116.4-1
     * system-config-printer-gui-0.6.116-1 =>
       system-config-printer-gui-0.6.116.4-1
     * system-config-securitylevel-1.4.19.1-1                          =>
       system-config-securitylevel-1.4.19.2-1
     * system-config-securitylevel-tui-1.4.19.1-1                      =>
       system-config-securitylevel-tui-1.4.19.2-1
     * system-config-soundcard-1.2.10-1 => system-config-soundcard-1.2.10-2.EL4
     * tar-1.14-4 => tar-1.14-8.RHEL4
     * tcpdump-3.8.2-9.RHEL4 => tcpdump-3.8.2-10.RHEL4
     * telnet-0.17-31.EL4.2 => telnet-0.17-31.EL4.3
     * telnet-server-0.17-31.EL4.2 => telnet-server-0.17-31.EL4.3
     * thunderbird-1.0.2-1.4.1 => thunderbird-1.0.6-1.4.1
     * ttfonts-bn-1.8-1 => ttfonts-bn-1.10-1.EL
     * ttfonts-gu-1.8-1 => ttfonts-gu-1.10-1.EL
     * ttfonts-hi-1.8-1 => ttfonts-hi-1.10-1.EL
     * ttfonts-pa-1.8-1 => ttfonts-pa-1.10-1.EL
     * ttfonts-ta-1.8-1 => ttfonts-ta-1.10-1.EL
     * ttmkfdir-3.0.9-14 => ttmkfdir-3.0.9-14.1.EL
     * tzdata-2005f-1.EL4 => tzdata-2005k-1.EL4
     * udev-039-10.8.EL4 => udev-039-10.10.EL4
     * unix2dos-2.2-24 => unix2dos-2.2-24.1
     * up2date-4.4.5.6-2 => up2date-4.4.41-4
     * up2date-gnome-4.4.5.6-2 => up2date-gnome-4.4.41-4
     * urw-fonts-2.2-6 => urw-fonts-2.2-6.1
     * util-linux-2.12a-16.EL4.6 => util-linux-2.12a-16.EL4.11
     * vim-X11-6.3.046-0.40E.4 => vim-X11-6.3.046-0.40E.7
     * vim-common-6.3.046-0.40E.4 => vim-common-6.3.046-0.40E.7
     * vim-enhanced-6.3.046-0.40E.4 => vim-enhanced-6.3.046-0.40E.7
     * vim-minimal-6.3.046-0.40E.4 => vim-minimal-6.3.046-0.40E.7
     * vixie-cron-4.1-20_EL => vixie-cron-4.1-36.EL4
     * vsftpd-2.0.1-5 => vsftpd-2.0.1-5.EL4.3
     * vte-0.11.11-6 => vte-0.11.11-6.1.el4
     * vte-devel-0.11.11-6 => vte-devel-0.11.11-6.1.el4
     * xinetd-2.3.13-4 => xinetd-2.3.13-4.4E.1
     * xorg-x11-6.8.2-1.EL.13.6 => xorg-x11-6.8.2-1.EL.13.15
     * xorg-x11-Mesa-libGL-6.8.2-1.EL.13.6 =>
       xorg-x11-Mesa-libGL-6.8.2-1.EL.13.15
     * xorg-x11-Mesa-libGLU-6.8.2-1.EL.13.6 =>
       xorg-x11-Mesa-libGLU-6.8.2-1.EL.13.15
     * xorg-x11-Xdmx-6.8.2-1.EL.13.6 => xorg-x11-Xdmx-6.8.2-1.EL.13.15
     * xorg-x11-Xnest-6.8.2-1.EL.13.6 => xorg-x11-Xnest-6.8.2-1.EL.13.15
     * xorg-x11-Xvfb-6.8.2-1.EL.13.6 => xorg-x11-Xvfb-6.8.2-1.EL.13.15
     * xorg-x11-deprecated-libs-6.8.2-1.EL.13.6                        =>
       xorg-x11-deprecated-libs-6.8.2-1.EL.13.15
     * xorg-x11-deprecated-libs-devel-6.8.2-1.EL.13.6                  =>
       xorg-x11-deprecated-libs-devel-6.8.2-1.EL.13.15
     * xorg-x11-devel-6.8.2-1.EL.13.6 => xorg-x11-devel-6.8.2-1.EL.13.15
     * xorg-x11-doc-6.8.2-1.EL.13.6 => xorg-x11-doc-6.8.2-1.EL.13.15
     * xorg-x11-font-utils-6.8.2-1.EL.13.6 =>
       xorg-x11-font-utils-6.8.2-1.EL.13.15
     * xorg-x11-libs-6.8.2-1.EL.13.6 => xorg-x11-libs-6.8.2-1.EL.13.15
     * xorg-x11-sdk-6.8.2-1.EL.13.6 => xorg-x11-sdk-6.8.2-1.EL.13.15
     * xorg-x11-tools-6.8.2-1.EL.13.6 => xorg-x11-tools-6.8.2-1.EL.13.15
     * xorg-x11-twm-6.8.2-1.EL.13.6 => xorg-x11-twm-6.8.2-1.EL.13.15
     * xorg-x11-xauth-6.8.2-1.EL.13.6 => xorg-x11-xauth-6.8.2-1.EL.13.15
     * xorg-x11-xdm-6.8.2-1.EL.13.6 => xorg-x11-xdm-6.8.2-1.EL.13.15
     * xorg-x11-xfs-6.8.2-1.EL.13.6 => xorg-x11-xfs-6.8.2-1.EL.13.15
     * xpdf-3.00-11.5 => xpdf-3.00-11.8
     * xscreensaver-4.18-5.rhel4.2 => xscreensaver-4.18-5.rhel4.9
     * zlib-1.2.1.2-1 => zlib-1.2.1.2-1.2
     * zlib-devel-1.2.1.2-1 => zlib-devel-1.2.1.2-1.2
     * zsh-4.2.0-3 => zsh-4.2.0-3.EL.3
     * zsh-html-4.2.0-3 => zsh-html-4.2.0-3.EL.3

   The following new packages have been added to Red Hat Enterprise Linux 4
   Update 2:
     * OpenIPMI-1.4.14-1.4E.4
     * OpenIPMI-devel-1.4.14-1.4E.4
     * OpenIPMI-libs-1.4.14-1.4E.4
     * OpenIPMI-tools-1.4.14-1.4E.4
     * amtu-1.0.2-2.EL4
     * audit-libs-1.0.3-4.EL4
     * audit-libs-devel-1.0.3-4.EL4
     * convmv-1.08-3.EL
     * device-mapper-multipath-0.4.5-5.2.RHEL4
     * gamin-python-0.1.1-3.EL4
     * gcc4-java-4.0.1-4.EL4.2
     * iscsi-initiator-utils-4.0.3.0-2
     * keyutils-0.3-1
     * keyutils-devel-0.3-1
     * libgcj4-4.0.1-4.EL4.2
     * libgcj4-devel-4.0.1-4.EL4.2
     * libgcj4-src-4.0.1-4.EL4.2
     * lksctp-tools-1.0.2-6.4E.1
     * lksctp-tools-devel-1.0.2-6.4E.1
     * lksctp-tools-doc-1.0.2-6.4E.1
     * systemtap-0.2.2-0.EL4.1
     * tog-pegasus-2.4.1-2.rhel4
     * tog-pegasus-devel-2.4.1-2.rhel4

   The following packages have been removed from Red Hat Enterprise Linux 4
   Update 2:
     * No packages have been removed.

   ( amd64 )
